# SWFDissect

**SWFDissect** is a Java library for decompiling and compiling ActionScript 2.0 into SWF files. This library was developed as part of another project and is not intended for general use.

## Features
- Parses and decompiles ActionScript 2.0 from SWF files.
- Compiles ActionScript 2.0 back into a valid SWF file.

## Usage
Since **SWFDissect** was created for a specific project, it is not designed for general use. However, if you are interested in how it works, you may explore the source code.

## Installation
To use **SWFDissect**, add the following dependency to your `pom.xml` if using Maven:

```xml
<repositories>
	<repository>
		<id>gitea</id>
		<url>https://gitea.awain.net/api/packages/alterwain/maven</url>
	</repository>
</repositories>

<dependencies>
        <dependency>
            <groupId>com.alterdekim.game</groupId>
            <artifactId>actionScriptDecompiler</artifactId>
            <version>0.0.10</version>

            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-simple</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
</dependencies>
```

## Disclaimer
**SWFDissect** was built for a specific use case and is not maintained as a standalone project. Use at your own risk. No support or updates are guaranteed.

## License
This library follows the license specified in the repository. Please refer to the `LICENSE.md` file for details.
