package com.alterdekim.flash.decompiler.tag;

import com.alterdekim.flash.decompiler.compiler.CompileObject;
import com.alterdekim.flash.decompiler.util.ByteUtil;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.BitSet;
import java.util.List;
import java.util.stream.Stream;

@ToString
@NoArgsConstructor
public class ShowFrame extends ShockwaveTag implements CompileObject {
    @Override
    public TagType getType() {
        return TagType.ShowFrame;
    }

    @Override
    public List<Byte> compile() {
        int val = this.getType().getId() << 6;
        return ByteUtil.intToBytes(val);
    }
}
